<h2 class="projectDate">July 2019 - Present</h2>
<!-- DESCRIPTION -->

The Northeastern Mars Rover team created a Mars Rover Prototype that was used to compete in the Univerity Mars Rover Challenge. I joined the team after their first competition. I came into the team who had goals of completely revolutionizing the Rover.

I worked on developing code for the Rover. I started with developing an autonomous way to test our code using GitLab's CI/CD Pipelines. I then developed the publisher and subscriber codes for all the components on the Rover using the ROS framework. I am working on the inverse kinematics program of the Rover. Inverse kinematics basically uses a lot of math to be able to control the rover as a whole rather than moving individual motors one at a time.

By developing code for the Northeastern Mars Rover team, I hope to get a deeper understanding of how robotics work. I think that using multiple robots to not only work together but also work with humans can help progress the development of infrastucture much faster. The skills I learn here will be the foundations of my understandings of robots.
<table>
<tbody>
<tr>
<td width="50%">The Team</td>
<td width="50%">Controlling the Rover</td>
</tr>
<tr>
<td>
          <img src="https://i.imgur.com/AdL0O6d.jpg" alt="Team Photo"></td>
<td>
          <img src="https://i.imgur.com/2GkdSl2.jpg" alt="Controlling the Rover Photo"></td>
<td></td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td width="50%">Showcasing Rover</td>
<td width="50%">Rover Close-up</td>
</tr>
<tr>
<td>
          <img src="https://i.imgur.com/I8Kf9IU.jpg" alt="Showing off Rover wide-angle Photo"></td>
<td>
          <img src="https://i.imgur.com/iATCf7G.jpg" alt="Showing off Rover Photo"></td>
</tr>
</tbody>
</table>
<a class="moreInfoRef" href="/">Go Home</a>
